%{!?dist: %define dist .slc5}
Name: cern-cvi-addons
Version: 1.0
Release: 2%{?dist}
Summary: '%{name}' configures VM guests in the CVI service
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: cern-config-users

Requires: hyperv-scsi-udev

%description 
'%{name}' configures an SLC guest in the CVI service:
  * it creates the necessary accounts + sudo privileges
  * it sets us root e-mail forwarding and .k5login file
  * it adds the printers in the buildings where the users have their offices
  * it creates a Kerberos5 keytab /etc/krb5.keytab

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 addVMAdmins        $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 cvi-delete-context $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 cvi-addon   $RPM_BUILD_ROOT/%{_initrddir}/cvi

mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/cvi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/addVMAdmins
%{_sbindir}/cvi-delete-context
%{_initrddir}/cvi
%{_localstatedir}/lib/cvi
#%doc foo.txt

%post
/sbin/chkconfig --add cvi

%preun
if [ "$1" = 0 ] ; then
  #service cvi stop >/dev/null 2>&1
  /sbin/chkconfig --del cvi
fi

%postun

%changelog
* Mon Feb 18 2013 Jan van Eldik <Jan.van.Eldik@cern.ch> 1.0-2
- [SLC5] Require hyperv-scsi-udev, to increase drive timeouts

* Tue Mar 27 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> 1.0-1
- [SLC6] Require hyperv-scsi-udev, to increase drive timeouts

* Wed Aug 10 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 1.0-0
- Remove check of LANdb-tag, to allow contextualization on non-CVI machines.

* Wed Aug 10 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 0.18-1
- [cvi-delete-context] Clean /etc/sudoers

* Wed May 25 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 0.17-1
- [cvi-delete-context] Fix irqbalance chkconfig issue

* Wed Feb 16 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 0.16-1
- [cvi-delete-context] Minor improvements

* Thu Feb  3 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.15-1
- addVMAdmins:
  - Use "lcm" to configure all components
  - Remove branch for CVI-1

* Mon Jan 11 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.14-1
- [SLC6] Use *system* ntpdate to synchronize clock at boot time, remove home-grown implementation

* Mon Jan 11 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.12-1
- [cvi-delete-context] Many improvements
- [SLC6] Use ntpdate to synchronize clock at boot time

* Thu Oct 14 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.11-1
- oops

* Thu Oct 14 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.10-1
- Use LANdb Tag to determine is the machine is created by CVI 2

* Thu Oct  7 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.9-1
- fixes, fixes...

* Thu Sep 30 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.7-1
- use /var/lib/cvi to save state

* Wed Sep 29 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.6-1
- [addVMAdmins] minor fix

* Thu Sep 23 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.5-1
- [addVMAdmins]
  - use statefile to prevent multiple invocations
  - [pre-CVI2] invoke cern-config-users to create AFS accounts, configure root access, etc
- add delete-context script

* Mon Jul 19 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.4-1
- [addVMAdmins] simplify parsing of list of admins

* Fri Jul 16 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-2
- Bump release number (no other changes)

* Thu Jul  1 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-1
- Fix bug affecting admins with loginnames shorter than 4 characters (like "lat"...)

* Mon Apr 26 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
